Provide A new list Of overrides for the BOSH Director

Provide A new list Of overrides for the BOSH Director
Provide a new list of overrides for the BOSH Director

This endpoint will replace the currently configured overrides for the BOSH Director. These overrides will be merged into the BOSH Director manifest. No validation is done on the data provided, other than checking that the data payload is a hash.

Only job properties of the bosh instance group and networks can be overridden.

Given the following overrides:

{
  "overrides": [
    {
      "section": "instance_groups",
      "data": {
        "director": {
          "remove_dev_tools": false
        }
      }
    },
    {
      "section": "networks",
      "data": {
        "first-network": {
          "type": "dynamic"
        }
      }
    }
  ]
}

This will result in the following director manifest:

name: p-bosh
....
networks:
- name: first-network
  type: dynamic # overridden value
  .... # other values not affected
....
instance_groups:
  0:
    name: bosh
    ....
    properties:
      ...
      director:
        .... # other values are not affected
        remove_dev_tools: false #  overridden value
Request
URI
PUT
https://{opsmanager-installation}/api/v0/staged/director/overrides
COPY
Request Body
DirectorOverrides of type(s) application/json
Optional
{
    "overrides": [
        {
            "section": "string",
            "data": {}
        }
    ]
}
array of overrides
overrides
Optional

A list of overrides that will be applied to the BOSH Director manifest.

Overrides will be applied in order, so the last override will be applied last.

Responses
200

0K

Operation doesn't return any data structure

400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Requires Advanced Mode

Returns RequiresAdvancedMode of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


422

Unprocessable Content

Returns NestedErrorsResponseVariant of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/api/v0/staged/director/overrides